summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-02-14 16:20:46 +0000
committerLennart Poettering <lennart@poettering.net>2006-02-14 16:20:46 +0000
commit0a11922d303fd443f6306b3fc23fa71117257fb3 (patch)
tree01e5959939b685c08cf77c542bd3e3587f6c1fcd /bootstrap.sh
parent18406207d374025e4ffb87053858b074b45da2b6 (diff)
update packaging
git-svn-id: file:///home/lennart/svn/public/keyfuzz/trunk@12 e03e4fad-c0d1-0310-aabf-8987f8117c4c
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 7eb124b..bf46ece 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -17,6 +17,8 @@
# along with keyfuzz; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+VERSION="1.9"
+
run_versioned() {
local P
type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
@@ -24,22 +26,22 @@ run_versioned() {
shift 2
"$P" "$@"
}
+
+set -ex
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.7 -a -c
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.7
+ run_versioned aclocal "$VERSION"
autoheader
- run_versioned automake 1.7 -a -c
+ run_versioned automake "$VERSION" -a -c --foreign
autoconf -Wall
- ./configure --sysconfdir=/etc "$@"
+ CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc "$@"
make clean
fi